Bug 1130496 - Multi gears display for non-scaling app if set scaling min not to 1 in manifest.yml before creation
Summary: Multi gears display for non-scaling app if set scaling min not to 1 in manife...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 12:12 UTC by Wenjing Zheng
Modified: 2015-05-15 00:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:40 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-08-15 12:12:28 UTC
Description:
Multi gears display if set Scaling Min to 2 for example in manifest.yml before create non-scaling app
[root@ip-10-165-73-58 ~]# rhc app-show php
php @ http://php-wzheng.dev.rhcloud.com/ (uuid: 53ee263e8bf9c13ac8000001)
-------------------------------------------------------------------------
  Domain:     wzheng
  Created:    11:24 AM
  Gears:      2 (defaults to small)
  Git URL:    ssh://53ee263e8bf9c13ac8000001@php-wzheng.dev.rhcloud.com/~/git/php.git/
  SSH:        53ee263e8bf9c13ac8000001@php-wzheng.dev.rhcloud.com
  Deployment: auto (on git push)
  php-5.4 (PHP 5.4)
  -----------------
    Scaling: x2 (minimum: 2, maximum: 1) on small gears
[root@ip-10-165-73-58 ~]# rhc app-show php -g
ID                               State   Cartridges Size  SSH URL
-------------------------------- ------- ---------- ----- ----------------------------------------------------------------------------------------
53ee263e8bf9c13ac8000001         started php-5.4    small 53ee263e8bf9c13ac8000001@php-wzheng.dev.rhcloud.com
4a1d09e0249011e4afd682f57fef3d71 new     php-5.4    small 4a1d09e0249011e4afd682f57fef3d71@4a1d09e0249011e4afd682f57fef3d71-wzheng.dev.rhcloud.com

Version-Release number of selected component (if applicable):
devenv_5079

How reproducible:
always

steps to Reproduce:
1. Update manifest of php with below contents:
 Scaling:
  Min: 2
  Max: -1
2. Clear broker cache and restart ruby193-mcollective and broker
3. Import the updated cartridge
4. Install a non-scaling php app

Actual results:
Please refer to description

Expected results:
It should be only one gear for non-scaling app.

Additional info:

Comment 1 Abhishek Gupta 2014-08-19 20:35:35 UTC
Fixed with --> https://github.com/openshift/origin-server/pull/5725

Comment 2 openshift-github-bot 2014-08-19 21:47:25 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/562c13d00f6bba869edd2973752927b3d6e6071b
Bug 1130496: Blocking carts with 2+ min gears in non-scalable apps

Comment 3 Qixuan Wang 2014-08-20 05:04:23 UTC
Verified on devenv_5095:

After updating Min:2 in manifest.yml, clearing broker cache, restarting ruby193-mcollective and broker, creating a non-scalable app is forbidden, so it's fixed, thanks.
 
# [root@qwang us]# rhc app create php53 php-5.3
Application Options
-------------------
Domain:     d
Cartridges: php-5.3
Gear Size:  default
Scaling:    no

Creating application 'php53' ... 
The cartridge 'php-5.3' requies a minimum of 2 gears and cannot be
added to a non-scalable application.


Note You need to log in before you can comment on or make changes to this bug.